---
title: BatteryManager
slug: Web/API/BatteryManager
tags:
  - API
  - Battery API
  - Device API
  - Interface
  - Obsolete
  - Reference
  - Référence(2)
---
<div>{{APIRef}}{{deprecated_header}}</div>

<p>The <code>BatteryManager</code> interface provides ways to get information about the system's battery charge level.</p>

<p>The {{domxref("navigator.getBattery()")}} method returns a battery promise that is resolved in a <code>BatteryManager</code> interface which you can use to interact with the <a href="/en-US/docs/Web/API/Battery_Status_API">Battery Status API</a>.</p>

<h2 id="Properties">Properties</h2>

<dl>
 <dt>{{domxref("BatteryManager.charging")}} {{ReadOnlyInline}}</dt>
 <dd>A Boolean value indicating whether or not the battery is currently being charged.</dd>
 <dt>{{domxref("BatteryManager.chargingTime")}} {{ReadOnlyInline}}</dt>
 <dd>A number representing the remaining time in seconds until the battery is fully charged, or 0 if the battery is already fully charged.</dd>
 <dt>{{domxref("BatteryManager.dischargingTime")}} {{ReadOnlyInline}}</dt>
 <dd>A number representing the remaining time in seconds until the battery is completely discharged and the system will suspend.</dd>
 <dt>{{domxref("BatteryManager.level")}} {{ReadOnlyInline}}</dt>
 <dd>A number representing the system's battery charge level scaled to a value between 0.0 and 1.0.</dd>
</dl>

<h3 id="Event_handlers">Event handlers</h3>

<dl>
 <dt>{{domxref("BatteryManager.onchargingchange")}}</dt>
 <dd>A handler for the {{event("chargingchange")}} event; This event is sent when the battery charging state is updated.</dd>
 <dt>{{domxref("BatteryManager.onchargingtimechange")}}</dt>
 <dd>A handler for the {{event("chargingtimechange")}} event; This event is sent when the battery charging time is updated</dd>
 <dt>{{domxref("BatteryManager.ondischargingtimechange")}}</dt>
 <dd>A handler for the {{event("dischargingtimechange")}} event; This event is sent when the battery discharging time is updated.</dd>
 <dt>{{domxref("BatteryManager.onlevelchange")}}</dt>
 <dd>A handler for the {{event("levelchange")}} event; This event is sent when the battery level is updated.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p>Inherited from {{domxref("EventTarget")}}:</p>

<p>{{page("/en-US/docs/Web/API/EventTarget","Methods")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Battery API")}}</td>
   <td>{{Spec2("Battery API")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.BatteryManager")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The <a href="/en-US/docs/Web/API/Battery_Status_API">Battery Status API</a></li>
 <li>{{domxref("navigator.getBattery")}}</li>
</ul>
